Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport
Class SshMsgKexInit

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.transport.SshMsgKexInit

public class SshMsgKexInit
extends SshMessage

DOCUMENT ME!

Field Summary
`protected static int` | `SSH_MSG_KEX_INIT` DOCUMENT ME!

Constructor Summary
`SshMsgKexInit()` Creates a new SshMsgKexInit object.
`SshMsgKexInit(SshConnectionProperties props)` Creates a new SshMsgKexInit object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`java.lang.String` | `createDelimString(java.util.List list)` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`java.util.List` | `getSupportedCSComp()` DOCUMENT ME!
`java.util.List` | `getSupportedCSEncryption()` DOCUMENT ME!
`java.util.List` | `getSupportedCSMac()` DOCUMENT ME!
`java.util.List` | `getSupportedKex()` DOCUMENT ME!
`java.util.List` | `getSupportedPublicKeys()` DOCUMENT ME!
`java.util.List` | `getSupportedSCComp()` DOCUMENT ME!
`java.util.List` | `getSupportedSCEncryption()` DOCUMENT ME!
`java.util.List` | `getSupportedSCMac()` DOCUMENT ME!
`void` | `setSupportedPK(java.util.List pks)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SSH_MSG_KEX_INIT

    protected static final int SSH_MSG_KEX_INIT

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgKexInit

    public SshMsgKexInit()

  Creates a new SshMsgKexInit object.

### SshMsgKexInit

    public SshMsgKexInit(SshConnectionProperties props)

  Creates a new SshMsgKexInit object.

Parameters:
  `props` - DOCUMENT ME!

Method Detail

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### getSupportedCSComp

    public java.util.List getSupportedCSComp()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedCSEncryption

    public java.util.List getSupportedCSEncryption()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedCSMac

    public java.util.List getSupportedCSMac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedKex

    public java.util.List getSupportedKex()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSupportedPK

    public void setSupportedPK(java.util.List pks)

  DOCUMENT ME!

  Parameters:
    `pks` - DOCUMENT ME!

### getSupportedPublicKeys

    public java.util.List getSupportedPublicKeys()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedSCComp

    public java.util.List getSupportedSCComp()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedSCEncryption

    public java.util.List getSupportedSCEncryption()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSupportedSCMac

    public java.util.List getSupportedSCMac()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### createDelimString

    public java.lang.String createDelimString(java.util.List list)

  DOCUMENT ME!

  Parameters:
    `list` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD